## comedilib 0.7.18

=== Makefile ===

# Makefile for comedi

TOPDIR=`pwd`

include Config
include version

.EXPORT_ALL_VARIABLES:

MAJOR=0

TARGETS = comedilib
ifeq ($(with_python),yes)
TARGETS += python
endif
ifeq ($(with_perl),yes)
TARGETS += perl
endif

all:	$(TARGETS)

SUBDIRS= lib demo comedi_calibrate testing comedi_config

DOCFILES= README `find doc -type f`

INSTALLDIR=$(DESTDIR)$(PREFIX)
INSTALLDIR_LIB=$(DESTDIR)$(PREFIX)/lib
ifneq ($(DEB_BUILD_ARCH),)
INSTALLDIR_DOC=$(DESTDIR)$(PREFIX)/share/doc/libcomedi
INSTALLDIR_MAN=$(DESTDIR)$(PREFIX)/share/man
INSTALLDIR_PERL=$(DESTDIR)$(PREFIX)/lib/perl5/
else
INSTALLDIR_DOC=$(DESTDIR)$(PREFIX)/doc/libcomedi
INSTALLDIR_MAN=$(DESTDIR)$(PREFIX)/man
INSTALLDIR_PERL=$(DESTDIR)$(PREFIX)/lib/perl/
endif
INSTALLDIR_BIN=$(DESTDIR)$(PREFIX)/bin
INSTALLDIR_SBIN=$(DESTDIR)$(PREFIX)/sbin

comedilib:	subdirs

config:	dummy

install:	install_dev install_runtime install_doc

install_dev:	dummy
	install -d ${INSTALLDIR}/include
	install -m 644 include/comedilib.h ${INSTALLDIR}/include
	install -m 644 include/comedi.h ${INSTALLDIR}/include
	(cd $(INSTALLDIR_LIB);ln -sf libcomedi.so.${version} libcomedi.so)
	install -m 644 lib/libcomedi.a ${INSTALLDIR_LIB}

install_runtime:
	install lib/libcomedi.so.${version} ${INSTALLDIR_LIB}
	(cd $(INSTALLDIR_LIB);ln -sf libcomedi.so.${version} libcomedi.so.${MAJOR})
	install -s -m 755 comedi_config/comedi_config ${INSTALLDIR_SBIN}
	install -s -m 755 comedi_calibrate/comedi_calibrate ${INSTALLDIR_BIN}

install_doc:
ifneq ($(INSTALLDIR),)
	install -d ${INSTALLDIR_DOC}
	install ${DOCFILES} ${INSTALLDIR_DOC}
endif
	install man/*.7 ${INSTALLDIR_MAN}/man7
	install man/*.8 ${INSTALLDIR_MAN}/man8

install_debian: install
	install -d ${INSTALLDIR_DOC}
	install -m 644 ${DOCFILES} ${INSTALLDIR_DOC}
	install -d $(DESTDIR)/etc/pcmcia/
	install -m 755 etc/pcmcia/comedi $(DESTDIR)/etc/pcmcia/
	install -m 644 etc/pcmcia/comedi.conf $(DESTDIR)/etc/pcmcia/
	install -m 644 etc/pcmcia/comedi.opts $(DESTDIR)/etc/pcmcia/
	install -m 755 etc/das1600.conf $(INSTALLDIR_DOC)/examples
	install -m 755 etc/dt282x.conf $(INSTALLDIR_DOC)/examples
ifeq ($(with_perl),yes)
	install -d $(INSTALLDIR_PERL)
	install -m 644 perl/blib/lib/Comedi.pm $(INSTALLDIR_PERL)/
	install -d $(INSTALLDIR_PERL)/Comedi
	install -m 644 perl/blib/lib/Comedi/Lib.pm $(INSTALLDIR_PERL)/Comedi
	install -m 644 perl/blib/lib/Comedi/Trigger.pm $(INSTALLDIR_PERL)/Comedi
	install -m 644 perl/blib/arch/auto/Comedi/Lib/Lib.so $(INSTALLDIR_PERL)/Comedi
	install -m 644 perl/blib/arch/auto/Comedi/Lib/Lib.bs $(INSTALLDIR_PERL)/Comedi
	#install -m 644 perl/blib/arch/auto/Comedi/Trigger.so $(INSTALLDIR_PERL)/Comedi
	#install -m 644 perl/blib/arch/auto/Comedi/Trigger.bs $(INSTALLDIR_PERL)/Comedi
	install -m 644 perl/blib/arch/auto/Comedi/Comedi.so $(INSTALLDIR_PERL)/Comedi
	install -m 644 perl/blib/arch/auto/Comedi/Comedi.bs $(INSTALLDIR_PERL)/Comedi
endif
ifeq ($(with_python),yes)
endif

lpr:	dummy
	find . -name '*.[chs]'|xargs enscript -2r -pit.ps

subdirs:	dummy
	set -e;for i in ${SUBDIRS};do ${MAKE} -C $$i ; done

clean:	dummy
	set -e;for i in $(SUBDIRS);do ${MAKE} clean -C $$i ; done
	# These will fail if nothing was built, but that's not a problem
	-$(MAKE) -C python distclean
	-$(MAKE) -C perl distclean

distclean:	clean

python: dummy
	$(MAKE) -C python -f Makefile.pre.in boot
	$(MAKE) -C python all

perl:	dummy
	(cd perl;perl Makefile.PL)
	$(MAKE) -C perl all
	
debian: dummy
	chmod 755 debian/rules
	dpkg-buildpackage -rfakeroot

dev:	dummy
	-rm /dev/comedi*
	/bin/mknod /dev/comedi0 c 98 0
	/bin/mknod /dev/comedi1 c 98 1
	/bin/mknod /dev/comedi2 c 98 2
	/bin/mknod /dev/comedi3 c 98 3
	chown root.root /dev/comedi*
	chmod 666 /dev/comedi*

dummy:

=== comedi_calibrate/Makefile ===

include ../Config


CFLAGS += -I../include
LDFLAGS += -L../lib/ -lcomedi -lm


BINS=comedi_calibrate
objs = comedi_calibrate.o ni.o

all: $(BINS)

comedi_calibrate: $(objs)
	$(CC) -o $@ $(objs) $(LDFLAGS)

clean:
	-rm -f *.o $(BINS)

=== comedi_config/Makefile ===

include ../Config

CFLAGS += -I../include
LDFLAGS +=

OBJS=comedi_config.o

comedi_config: $(OBJS)
	$(CC) -o comedi_config $(OBJS) $(LDFLAGS)

clean:
	rm -f comedi_config *.o

=== demo/Makefile ===

include ../Config


CFLAGS += -I ../include -I .
LIBS += ../lib/libcomedi.a -lm


BINS=tut1 tut2 # sv
MBINS=inp inpn eeprom_dump info outp insn antialias ao_waveform \
	dio mmap ledclock receiver sigio select sender cmd poll

all: $(BINS) $(MBINS)

$(BINS): % : %.o
	$(CC) -o $@ $< $(LIBS)

$(MBINS): % : %.o common.o
	$(CC) -o $@ common.o $< $(LIBS)

clean:
	-rm -f *.o $(BINS) $(MBINS)

=== doc/Makefile ===

locales = de

all: drivers.sgml funcref.sgml
	-mkdir -p html
	-mkdir -p man
	-docbook2html -o html comedilib.sgml
	-docbook2man -o man comedilib.sgml

funcref.sgml: funcref mkref
	./mkref funcref >funcref.sgml

drivers.sgml: drivers.txt mkdr
	./mkdr drivers.txt >drivers.sgml

messages: .phony
	xgettext -k_ -k_s $(shell find .. -name '*.c')
	for i in $(locales);do \
	  msgmerge po/$$i.po messages.po -o $$i.po; \
	  mkdir -p locale/$$i/LC_MESSAGES; \
	  msgfmt $$i.po -o locale/$$i/LC_MESSAGES/comedilib.mo; \
	done

distclean: clean
	rm -f *.html *.txt
	rm -rf locale
	rm -rf html
	rm -rf man
	rm -f drivers.sgml funcref.sgml

clean:
	for i in messages $(locales);do \
	  rm -f $$i.po ; \
	done

.phony:

=== lib/Makefile ===

include ../Config
include ../version

CFLAGS += -fPIC -I../include -I.

OBJS=comedi.o timer.o sv.o range.o ioctl.o filler.o timed.o error.o \
	dio.o data.o get.o cmd.o buffer.o

SONAME=libcomedi$(SONAME_SUFFIX).so.0

libcomedi.a: $(OBJS)
	#$(CC) -shared -Wl,-soname,libcomedi.so,-T,version_script -o libcomedi.so.${VERSION_CODE} $(OBJS) -lm
	$(CC) -shared -Wl,-soname,$(SONAME) -o libcomedi.so.${version} $(OBJS) -lm
	$(AR) rs libcomedi.a $(OBJS)
	ln -sf libcomedi.so.${version} libcomedi.so
	ln -sf libcomedi.so.${version} libcomedi.so.0

clean:
	rm -f libcomedi.a libcomedi.so* *.o

=== testing/Makefile ===

include ../Config

CFLAGS += -I../include -I.
LDFLAGS += -L../lib/ -lcomedi -lm


TARG=comedi_test
OBJS=main.o mode0_read.o insn_read.o info.o cmd_1.o insn_read_time.o \
	cmd_2.o mmap.o select.o cmd_3.o bufconfig.o lib.o inttrig.o

all: $(TARG)

$(TARG):	$(OBJS)
	$(CC) -o $(TARG) $(OBJS) $(LDFLAGS)

clean:
	-rm -f $(TARG) $(OBJS) test.out test.diff

test: $(TARG)
	LD_LIBRARY_PATH=../lib COMEDILIB_LOGLEVEL=3 ./comedi_test -f /dev/comedi0 >test.out 2>&1
	devicename=`grep 'I: device name:' test.out | sed 's/I: device name: //'`
	-diff -u results/`grep 'I: device name:' test.out | sed 's/I: device name: //'` test.out >test.diff

distclean: clean

## comedilib 0.10.0

=== debian/changelog ===
comedilib (0.10.0-3) unstable; urgency=low

  * Change pdf backend from fop to no. Fixes compilation on mips.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 05 Jul 2012 21:39:54 +0200

comedilib (0.10.0-2) unstable; urgency=low

  * Add dependency on adduser (Closes: #677573)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 25 Jun 2012 18:03:10 +0200

comedilib (0.10.0-1) unstable; urgency=low

  [ Bernd Porr ]
  * Removed ruby from the build dependencies
  * Disabled install of firmware (via ./configure)

  [ Gudjon I. Gudjonsson ]
  * Upstream release (Closes: #669353)
  * Dropping ruby bindings support.
    Commented out all references to ruby (Closes: #676095)
  * Rename comedi.rules to 90-comedi.rules
  * Move 90-comedi.rules to /lib/udev/rules.d/
  * Add comedi_calibrate (Closes: #544906)
  * Add LDFLAGS= -lm to configure (Closes: #558848)
  * Change bash to sh in postinst script
  * Fix a few errors in manpages. Add patch
    02_fix_manpages.patch (Thanks to Yaroslav Halchenko)
  * Add upstream changelog
  * Update symbols file
  * Update copyright file to DEP5

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 12 Jun 2012 22:09:08 +0200

comedilib (0.8.1-6) unstable; urgency=low

  * Bump standards version to 3.9.3
  * Change to dh_python2
  * Change XS-Python-Version to X-Python-Version
  * Add doc-base file
  * Add watch file
  * Add symbols file
  * Add get-orig-source target
  * Change dependency on udev to recommends (Closes: #570069)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Apr 2012 12:22:16 +0200

comedilib (0.8.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621195).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 07:39:19 +0200

comedilib (0.8.1-5) unstable; urgency=low

  * Fixed the replaces tags in control file. (Closes: #476562)
  * Changed the makefile for the demos.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 09 May 2008 13:28:19 +0200

comedilib (0.8.1-4) unstable; urgency=low

  * Put the demo into wrong directory last time, fixed.
  * Added dependency on adduser and udev. (Closes: #470437)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 11 Mar 2008 12:05:58 +0000

comedilib (0.8.1-3) unstable; urgency=low

  * Added conflicts and replaces tags to control file. (Closes: #465286)
  * Added a group called iocard for access to comedi cards.
  * Added a README.Debian file.
  * Added the demo directory to the libcomedi-dev package.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 04 Mar 2008 01:35:26 +0000

comedilib (0.8.1-2) unstable; urgency=low

  * A new maintainer
  * Bumped the Debian policy version to 3.7.3
  * Made a Homepage: field in the control file
  * libcomedi0.postinst removed and dependency on makedev (Closes: #434166)
  * Version 0.8.1 (Closes: #443922)
  * Pycentral is used in python-comedilib (Closes: #443922)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 21 Jan 2008 23:30:30 +0100

comedilib (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 29 Nov 2007 01:26:20 +0100

comedilib (0.7.22-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to new python policy (Closes: #373305).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 01:06:30 +0200

comedilib (0.7.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Packaging changes :
    + Switch to debhelper compatibility level 5.
    + Bump Standards Version to 3.6.2.
    + switch to dh_install instead of dh_movefiles (--list-missing ...)
  * Add swig to build-depends.
  * Rename libcomedi0 into libcomedi-0.7.22 (Closes: #350550).
    + update libcomedi-dev links.
    + update documentation path.
  * Fix lintian warnings/errors:
    + fix man page comedi_calibrate(8).
    + Fix FSF Addresses.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 14 Apr 2006 18:54:50 +0200

comedilib (0.7.22-2) unstable; urgency=low

  * It helps if the shared library is actually in the package.

 -- David Schleef <ds@schleef.org>  Thu, 04 Nov 2004 11:43:51 -0800

comedilib (0.7.22-1) unstable; urgency=low

  * New upstream version.

 -- David Schleef <ds@schleef.org>  Mon, 25 Oct 2004 22:48:43 -0700

comedilib (0.7.21-3) unstable; urgency=low

  * Added dh_python to take care of python dependency (Closes: #207310)

 -- David Schleef <ds@schleef.org>  Tue, 23 Sep 2003 18:11:12 -0700

comedilib (0.7.21-2) unstable; urgency=low

  * Fix accidental overlap of files between libcomedi-dev and libcomedi0

 -- David Schleef <ds@schleef.org>  Mon, 18 Aug 2003 19:35:06 -0700

comedilib (0.7.21-1) unstable; urgency=low

  * New upstream release

 -- David Schleef <ds@schleef.org>  Sat, 16 Aug 2003 16:25:13 -0700

comedilib (0.7.20-2) unstable; urgency=low

  * Apparently debian/copyright got broken at some point in time.
    (probably forgot to merge code back into CVS).  Fixed now,
    but not merged into CVS.  :)
  * Bumped shlibs, since there were symbols added to the lib.
  * Updated to policy 3.5.10:
   - Handle DEB_BUILD_OPTIONS
   - Fix creation of device nodes
  * Long overdue rewrite of package descriptions

 -- David Schleef <ds@schleef.org>  Wed, 25 Jun 2003 10:18:09 -0700

comedilib (0.7.20-1) unstable; urgency=low

  * New upstream release
  * Convert to using autoconf/automake, which takes care of problems
    with gcc-3.x (Closes: #194885)

 -- David Schleef <ds@schleef.org>  Tue, 17 Jun 2003 16:18:25 -0700

comedilib (0.7.19-1) unstable; urgency=low

  * New upstream release

 -- David Schleef <ds@schleef.org>  Wed,  3 Jul 2002 21:04:37 -0700

comedilib (0.7.18) unstable; urgency=low

  * New upstream version
  * Fix spelling error. (Closes: #124919)

 -- David Schleef <ds@schleef.org>  Tue, 22 Jan 2002 02:00:04 -0800

comedilib (0.7.17-1) unstable; urgency=low

  * New upstream version.

 -- David Schleef <ds@schleef.org>  Sat, 17 Nov 2001 18:58:16 -0800

comedilib (0.7.16-1.1) unstable; urgency=low

  * NMU


=== debian/control ===
Source: comedilib
Section: devel
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 8), python-all-dev, autotools-dev,
 swig, docbook-utils, dblatex, bison, flex, libtool, xmlto, imagemagick, fop,
 libboost-program-options-dev, libgsl0-dev
Standards-Version: 3.9.3
Homepage: http://www.comedi.org
X-Python-Version: all

Package: libcomedi-dev
Section: libdevel
Architecture: any
Depends: libcomedi0 (= ${binary:Version}), ${misc:Depends}
Description: Development library for Comedi
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.
 .
 This package contains headers, static libraries, documentation, and
 examples for writing software that uses the Comedilib library.  You
 only need to install it if you plan to develop or compile software
 that uses Comedilib.

Package: libcomedi0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Recommends: udev
Conflicts: libcomedi-0.7.22
Replaces: libcomedi-0.7.22
Description: Library for Comedi
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  Comedi supports a wide variety of ISA and PCI
 devices that contain analog-to-digital converters, digital-to-analog
 converters, digital input/output, counters and timers.  The full list
 of support devices can be found in the libcomedi-dev documentation.
 .
 This package contains the shared library component of Comedilib.  In
 general, this package will be automatically installed as a dependency
 of application or other library packages.
 .
 In order to effectively use this package, you need to have compiled
 and installed the Comedi kernel modules.  The source for Comedi is
 available in the comedi-source package, which also contains
 instructions on how to compile and install the modules.

Package: python-comedilib
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python wrapper for Comedilib
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  See the libcomedi0 package for more information.
 .
 This package provides Python bindings to the comedi library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS	:= $(shell pyversions -vr)
#ruby_ver = 1.8
arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(DEB_BUILD_GNU_TYPE)))
#ruby_libdir  = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)
#ruby_archdir = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)/$(arch_name)

DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp /usr/share/misc/config.sub .
	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub comedi-calibrate/
	cp /usr/share/misc/config.guess comedi-calibrate/
	for pyvers in ${PYTHONS}; \
	do\
		mkdir -p pybuild/$$pyvers; \
		cp -Rl `ls . |grep -v pybuild|grep -v debian` pybuild/$$pyvers; \
		(cd pybuild/$$pyvers; \
		PYTHON="/usr/bin/python$$pyvers" ./configure \
			--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr);\
	done
	LDFLAGS = -lm; ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--datadir=\$${prefix}/share/doc/ \
		--sysconfdir=/etc \
		--disable-firmware \
		--localstatedir=/var/lib/libcomedi0 \
		--disable-dependency-tracking \
		--disable-python-binding \
		--disable-ruby-binding \
		--with-pdf-backend=no
	cd comedi-calibrate && CPPFLAGS="-I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" LDFLAGS="-L $(CURDIR)/lib/.libs" ./configure --disable-comedilib-checking
	touch $@

build: build-arch build-indep
build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	cd comedi-calibrate && $(MAKE)
	for pyvers in ${PYTHONS};\
	do\
		rm -rf pybuild/$$pyvers/lib;\
		(cd pybuild/$$pyvers;\
		ln -s ../../lib .);\
		(cd pybuild/$$pyvers/swig/python;\
		$(MAKE));\
	done
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f config.sub
	rm -f config.guess
	rm -f config.log
	rm -f *-stamp
	rm -rf pybuild
	rm -rf doc/doc_html/
	rm -rf doc/man/
	rm -f lib/calib_lex.c
	rm -f lib/calib_lex.h
	rm -f lib/calib_yacc.c
	rm -f lib/calib_yacc.h
	#rm -f doc/*.xml
	rm -f doc/calibration_funcref.xml
	rm -f doc/command_funcref.xml
	rm -f doc/deprecated_funcref.xml
	rm -f rm -f doc/dio_funcref.xml
	rm -f doc/drivers.xml
	rm -f doc/error_funcref.xml
	rm -f doc/extensions_funcref.xml
	rm -f doc/funcref.xml
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f comedi-calibrate/config.sub
	rm -f comedi-calibrate/config.guess
	rm -f comedi-calibrate/config.log
	rm -f doc/pdf/comedilib.pdf
	cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr \
		pkgdatadir=$(CURDIR)/debian/tmp/usr/share/doc/libcomedi0 \
		sysconfdir=$(CURDIR)/debian/tmp/etc \
		localstatedir=$(CURDIR)/debian/tmp/var
	cd comedi-calibrate && $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	for pyvers in ${PYTHONS};\
	do\
		(cd pybuild/$$pyvers/swig/python;\
		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
	done

	mkdir -p debian/tmp/lib/udev/rules.d
	cp debian/90-comedi.rules debian/tmp/lib/udev/rules.d/
	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi.py
	mkdir -p debian/tmp/usr/share/doc/libcomedi-dev/demo
	cp -a demo debian/libcomedi-dev/usr/share/doc/libcomedi-dev
	rm -f debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo/Makefile*
	cp debian/Makefile.debian_demo debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo/Makefile
	cd debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo && make clean
	rm -rf debian/tmp/usr/local

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	#
	# build libcomedi${major} package by moving files from comedilib-dev
	#
	dh_install --sourcedir=debian/tmp --list-missing

	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress --exclude=.c
	dh_python2
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l $(CURDIR)/debian/tmp/usr/lib/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	VERCAL=1;\
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
	set -e;\
	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## comedilib 0.10.1

=== debian/changelog ===
comedilib (0.10.1-1ubuntu2) trusty; urgency=low

  * Use dh-autoreconf to resolve FTBFS on ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 08 Jan 2014 13:12:42 -0500

comedilib (0.10.1-1ubuntu1) trusty; urgency=low

  * FTBFS fixes:
    - Backport upstream changesets 90ce9a9, cc0c9e7, f4e228e, c689eff,
      and 2277e82;
    - Use explicit parameters.
  * Closes: #733322. LP: #1264686.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 07 Jan 2014 17:22:30 -0500

comedilib (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Bump compat to 9
  * Add hardening
  * Upgraded copyright file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 18 Aug 2013 10:31:45 +0200

comedilib (0.10.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/03_bison.patch: Apply patch from upstream to fix build
    failure with bison 2.6. (Closes: #710622)
  * debian/python-comedilib.install: Don't install static libraries for the
    Python package. They are of no use and cause a lintian autoreject.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2013 01:42:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: comedilib
 Section: devel
 Priority: optional
-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 8), python-all-dev, autotools-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all-dev, dh-autoreconf,
  swig, docbook-utils, dblatex, bison, flex, libtool, xmlto, imagemagick, fop,
- libboost-program-options-dev, libgsl0-dev
-Standards-Version: 3.9.3
+ libboost-program-options-dev, libgsl0-dev, hardening-wrapper
+Standards-Version: 3.9.4
 Homepage: http://www.comedi.org
 X-Python-Version: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 PYTHONS	:= $(shell pyversions -vr)
 #ruby_ver = 1.8
@@ -22,10 +25,12 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	#ln -s comedi-calibrate-1 comedi-calibrate
 	cp /usr/share/misc/config.sub .
 	cp /usr/share/misc/config.guess .
 	cp /usr/share/misc/config.sub comedi-calibrate/
 	cp /usr/share/misc/config.guess comedi-calibrate/
+	dh_autoreconf
 	for pyvers in ${PYTHONS}; \
 	do\
 		mkdir -p pybuild/$$pyvers; \
@@ -36,7 +41,7 @@
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr);\
 	done
-	LDFLAGS = -lm; ./configure \
+	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
@@ -48,7 +53,8 @@
 		--disable-dependency-tracking \
 		--disable-python-binding \
 		--disable-ruby-binding \
-		--with-pdf-backend=no
+		--with-pdf-backend=no\
+		--with-gnu-ld
 	cd comedi-calibrate && CPPFLAGS="-I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" LDFLAGS="-L $(CURDIR)/lib/.libs" ./configure --disable-comedilib-checking
 	touch $@
 
@@ -100,13 +106,16 @@
 	rm -f comedi-calibrate/config.guess
 	rm -f comedi-calibrate/config.log
 	rm -f doc/pdf/comedilib.pdf
-	cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
+	[ ! -f comedi-calibrate/Makefile ]] || cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
+	find . -name Makefile -exec rm -f {} \;
+	#rm -f comedi-calibrate
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr \
 		pkgdatadir=$(CURDIR)/debian/tmp/usr/share/doc/libcomedi0 \
@@ -163,8 +172,7 @@
 	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
 	set -e;\
 	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
-	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
-	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
+	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://comedi.org/download/comedilib-(.*)\.tar\.gz

## comedilib 0.10.2

=== debian/changelog ===
comedilib (0.10.2-2ubuntu2) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 13:33:41 +0100

comedilib (0.10.2-2ubuntu1) wily; urgency=medium

  * Fix extension names for python3.5. LP: #1477759.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2015 11:17:06 +0200

comedilib (0.10.2-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:24:13 +0000

comedilib (0.10.2-2) unstable; urgency=medium

  * Add dh_autoreconf (Closes: #754195)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 10 Jul 2014 07:25:17 +0000

comedilib (0.10.2-1) unstable; urgency=medium

  * New upstream version (Closes: #711203)
  * Bump standards version to 3.9.5
  * Update comedi calibrate to version 2 (Closes: #732685)
  * Remove all patches. Already in upstream.
  * Add directories for comedi-calibrate (thanks to Éric Piel)
  * Add dependency on  libboost-dev
  * Add patch 02_configure to disable checking of libcomedi
  * Update hardening to standard
  * Remove dh-autoreconf

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 01 Jul 2014 11:57:35 +0000

comedilib (0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug #733322.
  * Fix build problem with newer bison (Closes: #733322).  Patch from
    Daniel T Chen and Ubuntu via A. Maitland Bottoms backporting
    upstream changesets 90ce9a9, cc0c9e7, f4e228e, c689eff, and
    2277e82.
  * Use dh-autoreconf to fix build problem on some architectures
    (Closes: #727345).  Drop now obsolete autotools-dev build
    dependency.  Patch from Daniel T Chen and Ubuntu via A. Maitland
    Bottoms.
  * Add new executables comedi_soft_calibrate and comedi_board_info to
    the libcomedi1 package (Closes: #711203). Add new directory
    /var/lib/comedi/calibrations to the package, and build using
    --localstatedir=/var to store the state to the correct location.
    Patch from A. Maitland Bottoms.
  * Adjusted 01_calibrate_build.patch to remove check for comedilib.h too,
    to ensure the comedi-calibrate/configure script work without libcomedi0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 May 2014 20:52:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all-dev, dh-autoreconf,
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev,
  swig, docbook-utils, dblatex, bison, flex, libtool, xmlto, imagemagick, fop,
- libboost-program-options-dev, libgsl0-dev, hardening-wrapper
-Standards-Version: 3.9.4
+ libboost-program-options-dev, libgsl0-dev,
+ python-all-dev, python3-all-dev, libboost-dev, dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://www.comedi.org
 X-Python-Version: all
+X-Python3-Version: >=3.0
 
 Package: libcomedi-dev
 Section: libdevel
@@ -56,3 +58,14 @@
  acquisition hardware.  See the libcomedi0 package for more information.
  .
  This package provides Python bindings to the comedi library.
+
+Package: python3-comedilib
+Section: python
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Description: Python3 wrapper for Comedilib
+ Comedilib is a library for using Comedi, a driver interface for data
+ acquisition hardware.  See the libcomedi0 package for more information.
+ .
+ This package provides Python3 bindings to the comedi library.

=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,18 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-PYTHONS	:= $(shell pyversions -vr)
+
+PYTHONS  := $(shell pyversions -vr)
+PYTHONS3 := $(shell py3versions -vr)
 #ruby_ver = 1.8
 arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(DEB_BUILD_GNU_TYPE)))
 #ruby_libdir  = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)
 #ruby_archdir = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)/$(arch_name)
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -25,11 +28,6 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	#ln -s comedi-calibrate-1 comedi-calibrate
-	cp /usr/share/misc/config.sub .
-	cp /usr/share/misc/config.guess .
-	cp /usr/share/misc/config.sub comedi-calibrate/
-	cp /usr/share/misc/config.guess comedi-calibrate/
 	dh_autoreconf
 	for pyvers in ${PYTHONS}; \
 	do\
@@ -39,7 +37,23 @@
 		PYTHON="/usr/bin/python$$pyvers" ./configure \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
-			--prefix=/usr);\
+			--prefix=/usr \
+			CFLAGS="$(CFLAGS)" \
+			CPPFLAGS="$(CPPFLAGS)" \
+			LDFLAGS="$(LDFLAGS)");\
+	done
+	for pyvers in ${PYTHONS3}; \
+	do\
+		mkdir -p pybuild/$$pyvers; \
+		cp -Rl `ls . |grep -v pybuild|grep -v debian` pybuild/$$pyvers; \
+		(cd pybuild/$$pyvers; \
+		PYTHON="/usr/bin/python$$pyvers" ./configure \
+			--host=$(DEB_HOST_GNU_TYPE) \
+			--build=$(DEB_BUILD_GNU_TYPE) \
+			--prefix=/usr \
+			CFLAGS="$(CFLAGS)" \
+			CPPFLAGS="$(CPPFLAGS)" \
+			LDFLAGS="$(LDFLAGS)");\
 	done
 	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -49,13 +63,18 @@
 		--datadir=\$${prefix}/share/doc/ \
 		--sysconfdir=/etc \
 		--disable-firmware \
-		--localstatedir=/var/lib/libcomedi0 \
+		--localstatedir=/var \
 		--disable-dependency-tracking \
 		--disable-python-binding \
 		--disable-ruby-binding \
 		--with-pdf-backend=no\
-		--with-gnu-ld
-	cd comedi-calibrate && CPPFLAGS="-I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" LDFLAGS="-L $(CURDIR)/lib/.libs" ./configure --disable-comedilib-checking
+		--with-gnu-ld \
+		CFLAGS="$(CFLAGS) -fPIC" \
+		CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS)"
+	cd comedi-calibrate && CPPFLAGS="$(CPPFLAGS) -I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" \
+		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/lib/.libs" \
+		./configure --disable-comedilib-checking
 	touch $@
 
 build: build-arch build-indep
@@ -70,7 +89,17 @@
 		(cd pybuild/$$pyvers;\
 		ln -s ../../lib .);\
 		(cd pybuild/$$pyvers/swig/python;\
-		$(MAKE));\
+		$(MAKE);\
+		sed -i '1s/^/#!\/usr\/bin\/python\n/' comedi.py);\
+	done
+	for pyvers in ${PYTHONS3};\
+	do\
+		rm -rf pybuild/$$pyvers/lib;\
+		(cd pybuild/$$pyvers;\
+		ln -s ../../lib .);\
+		(cd pybuild/$$pyvers/swig/python;\
+		$(MAKE);\
+		sed -i '1s/^/#!\/usr\/bin\/python3\n/' comedi.py);\
 	done
 	touch $@
 
@@ -81,8 +110,6 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f config.sub
-	rm -f config.guess
 	rm -f config.log
 	rm -f *-stamp
 	rm -rf pybuild
@@ -102,14 +129,12 @@
 	rm -f doc/extensions_funcref.xml
 	rm -f doc/funcref.xml
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f comedi-calibrate/config.sub
-	rm -f comedi-calibrate/config.guess
 	rm -f comedi-calibrate/config.log
 	rm -f doc/pdf/comedilib.pdf
 	[ ! -f comedi-calibrate/Makefile ]] || cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
 	find . -name Makefile -exec rm -f {} \;
+	dh_autoreconf_clean
 	#rm -f comedi-calibrate
-	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -128,7 +153,31 @@
 		(cd pybuild/$$pyvers/swig/python;\
 		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
 	done
-
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/comedi
+	for pyvers in ${PYTHONS3};\
+	do\
+		(cd pybuild/$$pyvers/swig/python;\
+		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
+		ABITAG=`python$$pyvers -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; \
+		(cd $(CURDIR)/debian/tmp/usr/lib/; \
+		 mv python$$pyvers/site-packages/comedi.py python3/dist-packages/comedi;\
+		 if echo x$$ABITAG | grep -q "$(DEB_HOST_MULTIARCH)"; then \
+		   mv python$$pyvers/site-packages/_comedi.so \
+		      python3/dist-packages/comedi/_comedi.$$ABITAG.so;\
+		 else \
+		   mv python$$pyvers/site-packages/_comedi.so \
+		      python3/dist-packages/comedi/_comedi.$$ABITAG-$(DEB_HOST_MULTIARCH).so;\
+		 fi; \
+		rm -rf python$$pyvers);\
+	done
+#		for f in `find debian/tmp/ -name '*.so' ! -name '*.cpython*.so'`; \
+#		do mv $$f $${f%.so}.$$ABITAG.so;
+#	$(foreach v,$(PYTHONS3),dh_auto_install --builddirectory=pybuild/$v \
+#					   --destdir=debian/tmp/ $(nl) \
+#					   ABITAG=`python$(v) -c "import sysconfig; \
+#					   print(sysconfig.get_config_var('SOABI'))"`; \
+#					   for f in `find debian/tmp/ -name '*.so' ! -name '*.cpython*.so'`; \
+#					   do mv $$f $${f%.so}.$$ABITAG.so; done;)
 	mkdir -p debian/tmp/lib/udev/rules.d
 	cp debian/90-comedi.rules debian/tmp/lib/udev/rules.d/
 	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi.py
@@ -138,6 +187,7 @@
 	cp debian/Makefile.debian_demo debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo/Makefile
 	cd debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo && make clean
 	rm -rf debian/tmp/usr/local
+	find debian/ -name _comedi.*a -exec rm -f {} \;
 
 binary-indep: build install
 
@@ -158,7 +208,12 @@
 	dh_link
 	dh_strip
 	dh_compress --exclude=.c
-	dh_python2
+	dh_python2 -X python3
+	dh_python3
+	for pyvers in ${PYTHONS3};\
+	do\
+		dh_python3 debian/python-comedilib/usr/lib/python$$pyvers;\
+	done
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
@@ -168,11 +223,12 @@
 	dh_builddeb
 
 get-orig-source:
-	VERCAL=1;\
+	VERCAL=2;\
 	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
 	set -e;\
 	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
-	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
+	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
+	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## comedilib 0.11.0

=== debian/changelog ===
comedilib (0.11.0-1.1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:18 +0100

comedilib (0.11.0-1.1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:10:29 +0000

comedilib (0.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936321

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 17:56:26 -0400

comedilib (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0
  * Change watch file url to https
  * Remove ancient conflict with libcomedi-0.7.22
  * Change get-orig-source target to use DEB_VERSION_UPSTREAM
  * Update symbols file
  * Remove python dbgsym files

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 31 Dec 2018 00:32:36 +0100

comedilib (0.10.2-4) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807191)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 16 Jan 2016 21:28:49 +0100

comedilib (0.10.2-3) unstable; urgency=medium

  * Fix extension names for python3.5 (Closes: #793576)
  * Bump standards version to 3.9.6
  * Remove pycompat

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 02 Aug 2015 21:24:07 +0100

=== debian/control ===
Source: comedilib
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~), 
               autotools-dev,
               swig, 
               docbook-utils, 
               dblatex, 
               bison, 
               flex, 
               libtool, 
               xmlto, 
               imagemagick, 
               fop,
               libboost-program-options-dev,
               libgsl-dev,
               python3-all-dev, 
               libboost-dev, 
               dh-autoreconf
Standards-Version: 4.3.0
Homepage: http://www.comedi.org

Package: libcomedi-dev
Section: libdevel
Architecture: any
Depends: libcomedi0 (= ${binary:Version}), 
         ${misc:Depends}
Description: Development library for Comedi
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.
 .
 This package contains headers, static libraries, documentation, and
 examples for writing software that uses the Comedilib library.  You
 only need to install it if you plan to develop or compile software
 that uses Comedilib.

Package: libcomedi0
Section: libs
Architecture: any
Depends: ${misc:Depends}, 
         ${shlibs:Depends}, 
         adduser
Recommends: udev
Description: Library for Comedi
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  Comedi supports a wide variety of ISA and PCI
 devices that contain analog-to-digital converters, digital-to-analog
 converters, digital input/output, counters and timers.  The full list
 of support devices can be found in the libcomedi-dev documentation.
 .
 This package contains the shared library component of Comedilib.  In
 general, this package will be automatically installed as a dependency
 of application or other library packages.
 .
 In order to effectively use this package, you need to have compiled
 and installed the Comedi kernel modules.  The source for Comedi is
 available in the comedi-source package, which also contains
 instructions on how to compile and install the modules.

Package: python3-comedilib
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 wrapper for Comedilib
 Comedilib is a library for using Comedi, a driver interface for data
 acquisition hardware.  See the libcomedi0 package for more information.
 .
 This package provides Python3 bindings to the comedi library.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-PYTHONS  := $(shell pyversions -vr)
+include /usr/share/dpkg/pkg-info.mk
+
 PYTHONS3 := $(shell py3versions -vr)
 #ruby_ver = 1.8
-arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(DEB_BUILD_GNU_TYPE)))
+arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(HOST)))
 #ruby_libdir  = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)
 #ruby_archdir = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)/$(arch_name)
 
@@ -29,19 +29,6 @@
 configure-stamp:
 	dh_testdir
 	dh_autoreconf
-	for pyvers in ${PYTHONS}; \
-	do\
-		mkdir -p pybuild/$$pyvers; \
-		cp -Rl `ls . |grep -v pybuild|grep -v debian` pybuild/$$pyvers; \
-		(cd pybuild/$$pyvers; \
-		PYTHON="/usr/bin/python$$pyvers" ./configure \
-			--host=$(DEB_HOST_GNU_TYPE) \
-			--build=$(DEB_BUILD_GNU_TYPE) \
-			--prefix=/usr \
-			CFLAGS="$(CFLAGS)" \
-			CPPFLAGS="$(CPPFLAGS)" \
-			LDFLAGS="$(LDFLAGS)");\
-	done
 	for pyvers in ${PYTHONS3}; \
 	do\
 		mkdir -p pybuild/$$pyvers; \
@@ -83,15 +70,6 @@
 	dh_testdir
 	$(MAKE)
 	cd comedi-calibrate && $(MAKE)
-	for pyvers in ${PYTHONS};\
-	do\
-		rm -rf pybuild/$$pyvers/lib;\
-		(cd pybuild/$$pyvers;\
-		ln -s ../../lib .);\
-		(cd pybuild/$$pyvers/swig/python;\
-		$(MAKE);\
-		sed -i '1s/^/#!\/usr\/bin\/python\n/' comedi.py);\
-	done
 	for pyvers in ${PYTHONS3};\
 	do\
 		rm -rf pybuild/$$pyvers/lib;\
@@ -148,11 +126,6 @@
 		localstatedir=$(CURDIR)/debian/tmp/var
 	cd comedi-calibrate && $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 
-	for pyvers in ${PYTHONS};\
-	do\
-		(cd pybuild/$$pyvers/swig/python;\
-		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
-	done
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/comedi
 	for pyvers in ${PYTHONS3};\
 	do\
@@ -180,7 +153,7 @@
 #					   do mv $$f $${f%.so}.$$ABITAG.so; done;)
 	mkdir -p debian/tmp/lib/udev/rules.d
 	cp debian/90-comedi.rules debian/tmp/lib/udev/rules.d/
-	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi.py
+	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi/comedi.py
 	mkdir -p debian/tmp/usr/share/doc/libcomedi-dev/demo
 	cp -a demo debian/libcomedi-dev/usr/share/doc/libcomedi-dev
 	rm -f debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo/Makefile*
@@ -206,9 +179,8 @@
 	dh_installinfo
 	dh_installchangelogs ChangeLog
 	dh_link
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_compress --exclude=.c
-	dh_python2 -X python3
 	dh_python3
 	for pyvers in ${PYTHONS3};\
 	do\
@@ -223,9 +195,9 @@
 	dh_builddeb
 
 get-orig-source:
+	set -e;\
 	VERCAL=2;\
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
-	set -e;\
+	VER=$(DEB_VERSION_UPSTREAM);\
 	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
 	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
 	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz

=== debian/watch ===
version=3
https://comedi.org/download/comedilib-(.*)\.tar\.gz
